"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("./utils");
var locators_1 = require("./locators");
var ElementHelper = /** @class */ (function () {
    function ElementHelper(_platform, _platformVersion) {
        this._platform = _platform;
        this._platformVersion = _platformVersion;
        this.isAndroid = this._platform === "android";
        this.locators = new locators_1.Locator(this._platform, this._platformVersion);
    }
    ElementHelper.prototype.getXPathElement = function (name) {
        var tempName = name.toLowerCase().replace(/\-/g, "");
        this.locators.getElementByName(name);
    };
    ;
    ElementHelper.prototype.getXPathByText = function (text, exactMatch) {
        return this.findByTextLocator("*", text, exactMatch);
    };
    ElementHelper.prototype.getXPathWithExactText = function (text) {
        return this.getXPathByText(text, true);
    };
    ElementHelper.prototype.getXPathContainingText = function (text) {
        return this.getXPathByText(text, false);
    };
    ElementHelper.prototype.findByTextLocator = function (controlType, value, exactMatch) {
        var artbutes = ["label", "value", "hint"];
        if (this.isAndroid) {
            artbutes = ["content-desc", "resource-id", "text"];
        }
        var searchedString = "";
        if (exactMatch) {
            if (this.isAndroid) {
                artbutes.forEach(function (atr) { searchedString += "translate(@" + atr + ",'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='" + value.toLowerCase() + "'" + " or "; });
            }
            else {
                artbutes.forEach(function (atr) { searchedString += "@" + atr + "='" + value + "'" + " or "; });
            }
        }
        else {
            if (this.isAndroid) {
                artbutes.forEach(function (atr) { searchedString += "contains(translate(@" + atr + ",'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'),'" + value.toLowerCase() + "')" + " or "; });
            }
            else {
                artbutes.forEach(function (atr) { searchedString += "contains(@" + atr + ",'" + value + "')" + " or "; });
            }
        }
        searchedString = searchedString.substring(0, searchedString.lastIndexOf(" or "));
        var result = "//" + controlType + "[" + searchedString + "]";
        utils_1.log("Xpath: " + result, false);
        return result;
    };
    return ElementHelper;
}());
exports.ElementHelper = ElementHelper;
