"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parser = require("./parser");
var capabilities_helper_1 = require("./capabilities-helper");
var NsCapabilities = /** @class */ (function () {
    function NsCapabilities() {
        this._projectDir = parser.projectDir;
        this._projectBinary = parser.projectBinary;
        this._pluginRoot = parser.pluginRoot;
        this._pluginBinary = parser.pluginBinary;
        this._appPath = parser.appPath;
        this._port = parser.port;
        this._verbose = parser.verbose;
        this._appiumCapsLocation = parser.appiumCapsLocation;
        this._testFolder = parser.testFolder;
        this._runType = parser.runType;
        this._isSauceLab = parser.isSauceLab;
        this._appiumCaps = capabilities_helper_1.resolveCapabilities(this._appiumCapsLocation, parser.runType, parser.projectDir);
    }
    Object.defineProperty(NsCapabilities.prototype, "projectDir", {
        get: function () { return this._projectDir; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NsCapabilities.prototype, "projectBinary", {
        get: function () { return this._projectBinary; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NsCapabilities.prototype, "pluginRoot", {
        get: function () { return this._pluginRoot; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NsCapabilities.prototype, "pluginBinary", {
        get: function () { return this._pluginBinary; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NsCapabilities.prototype, "port", {
        get: function () { return this._port; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NsCapabilities.prototype, "verbose", {
        get: function () { return this._verbose; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NsCapabilities.prototype, "appiumCapsLocation", {
        get: function () { return this._appiumCapsLocation; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NsCapabilities.prototype, "appiumCaps", {
        get: function () { return this._appiumCaps; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NsCapabilities.prototype, "testFolder", {
        get: function () { return this._testFolder; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NsCapabilities.prototype, "runType", {
        get: function () { return this._runType; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NsCapabilities.prototype, "isSauceLab", {
        get: function () { return this._isSauceLab; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NsCapabilities.prototype, "appPath", {
        get: function () { return this._appPath; },
        set: function (appPath) { this._appPath = appPath; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NsCapabilities.prototype, "emulatorOptions", {
        get: function () { return (this._emulatorOptions || "-wipe-data -gpu on"); },
        enumerable: true,
        configurable: true
    });
    return NsCapabilities;
}());
exports.NsCapabilities = NsCapabilities;
