"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var yargs = require("yargs");
var path_1 = require("path");
var utils_1 = require("./utils");
exports.capabilitiesName = "appium.capabilities.json";
var config = (function () {
    var options = yargs
        .option("runType", { describe: "Path to excute command.", type: "string", default: null })
        .option("testFolder", { describe: "e2e test folder name", default: "e2e", type: "string" })
        .option("appiumCapsLocation", { describe: "Capabilities", type: "string" })
        .option("sauceLab", { describe: "SauceLab", default: false, type: "boolean" })
        .option("port", { alias: "p", describe: "Execution port", type: "string" })
        .option("verbose", { alias: "v", describe: "Log actions", type: "boolean" })
        .option("path", { describe: "path", default: process.cwd(), type: "string" })
        .option("appPath", { describe: "application path", type: "string" })
        .help()
        .argv;
    var appRootPath = options.path;
    if (appRootPath.includes("nativescript-dev-appium") || appRootPath.includes("mocha")) {
        appRootPath = require('app-root-path').toString();
    }
    var projectDir = appRootPath;
    var projectBinary = utils_1.resolve(projectDir, "node_modules", ".bin");
    var pluginRoot = utils_1.resolve(projectDir, "node_modules", "nativescript-dev-appium");
    var pluginBinary = utils_1.resolve(pluginRoot, "node_modules", ".bin");
    var config = {
        projectDir: projectDir,
        projectBinary: projectBinary,
        pluginRoot: pluginRoot,
        pluginBinary: pluginBinary,
        port: options.port || process.env.npm_config_port,
        testFolder: options.testFolder || process.env.npm_config_testFolder || "e2e",
        runType: options.runType || process.env.npm_config_runType,
        appiumCapsLocation: options.appiumCapsLocation || path_1.join(projectDir, options.testFolder, "config", exports.capabilitiesName),
        isSauceLab: options.sauceLab,
        verbose: options.verbose || process.env.npm_config_loglevel === "verbose",
        appPath: options.appPath
    };
    return config;
})();
exports.projectDir = config.projectDir, exports.projectBinary = config.projectBinary, exports.pluginRoot = config.pluginRoot, exports.pluginBinary = config.pluginBinary, exports.port = config.port, exports.verbose = config.verbose, exports.appiumCapsLocation = config.appiumCapsLocation, exports.testFolder = config.testFolder, exports.runType = config.runType, exports.isSauceLab = config.isSauceLab, exports.appPath = config.appPath;
